/****************************************/
/*  DelDialog.c headers         	*/
/*					*/
/*  Description : Manage Remove (rem of */
/*                files) widget		*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __DEL_DIALOG_H__
#define __DEL_DIALOG_H__

/* to define a new widget */
#define DEL_DIALOG(obj)          GTK_CHECK_CAST (obj, del_dialog_get_type(),DelDialog)
#define DEL_DIALOG_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, del_dialog_get_type(), DelDialogClass)
#define IS_DEL_DIALOG(obj)       GTK_CHECK_TYPE (obj, del_dialog_get_type ())

typedef struct _DelDialog      DelDialog;
typedef struct _DelDialogClass DelDialogClass;

/* the structure of a DelDialog */
struct _DelDialog
{
  GnomeDialog	Main;
  /* list of all file to Del */
  FileDataList  *DelList;
  
  GtkWidget     *del_of;
  GtkWidget     *total_size;
  GtkWidget     *total_file;
  GtkWidget     *all_file_progress_bar;

  /* nb of file we have removed */
  guint64       current_all_file_nb_cpt;
  /* nb of file to remove */
  guint64       current_all_file_total_nb_cpt;
  
  gint          exit_timer; 
  
  void (* file_del_func) (gchar *LastFile);
  
  /* list of all thing we need to remove */
  FileDataList  *AllDelList;  
};

struct _DelDialogClass
{
   GnomeDialogClass parent_class;

   /* Add here all the signal we want */
};

guint del_dialog_get_type ();
/* Create a new RemoveDialog widget        */
/* RemoveDialog keep a copy of RemoveList. */
void del_dialog_new (FileDataList *DelList,
  void (* file_del_func) (gchar *LastFile));

#endif /* __DEL_DIALOG_H__ */
