/****************************************/
/*  GFileError.c body                   */
/*					*/
/*  Description : All error code are    */
/*                  define here         */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void gfile_error(guint16 error_code)
{
  switch(error_code)
  {
    case MEM_ALLOCATION       : 
      g_print("Can't allocate needed memory.\n");
      break;
    case INTERNAL_PIXMAP      : 
      g_print("Can't create internal pixmap.\n");
      break;
    case INTERNAL_PIXMAP_COPY :     
      g_print("Unexpected error, copy of internal pixmap is impossible.\n");
      break;
    case CREATE_FILE          :     
      g_print("Can't create file.\n");
      break;
    case OPEN_FILE_GROUP      :     
      g_print("Can't open file /etc/group.\n");
      break;
    case OPEN_FILE_PASSWD     :     
      g_print("Can't open file /etc/passwd.\n");
      break;
    case ICON_NOT_IN_PATH     :     
      g_print("Icon is not in the define icon path.\n");
      break;
    case SAVE_FILE_TYPE       :     
      g_print("Error in saving file type list on the hard drive.\n");
      break;      
    case FILE_TYPE_ERROR      :     
      g_print("No type corresponding in the file type list.\n");
      break;      
    case CREATE_FILE_TYPE     :
      g_print("Can't create a file type list.\n");
      break; 
    case CREATE_GROUP_LIST    :
      g_print("Can't create the group list.\n");
      break; 
    case CREATE_OWNER_LIST    :
      g_print("Can't create the users list.\n");
      break; 
    case CREATE_GFILEDIR      :
      g_print("Can't find the GFile base directory, user as no home ?.\n"\
              "Please define the environement variable GFILEDIR.\n"\
	      "ex : export GFILEDIR=/usr/local/gfile\n"\
	      "all icons MUST be place in GFILEDIR/icons\n");
      break; 
    case GFILE_LIST_LINK_ERROR:
      g_print("readlink error case not taken in account yet by GFile.\n");
      break; 
            
    default :
      g_print("Error code not define.\n");
  }
}
