/****************************************/
/*  IconList.c headers                  */
/*					*/
/*  Description : The list of all icons */
/*		  for addedit dialog	*/
/*  This is a button and when you click */
/*  on it, the list of choice is display*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __ICON_LIST_H__
#define __ICON_LIST_H__

/* to define a new widget */
#define ICON_LIST(obj)          GTK_CHECK_CAST (obj, icon_list_get_type(),IconList)
#define ICON_LIST_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, icon_list_get_type(), IconListClass)
#define IS_ICON_LIST(obj)       GTK_CHECK_TYPE (obj, icon_list_get_type ())

typedef struct _IconList       IconList;
typedef struct _IconListClass  IconListClass;

struct _IconList
{
  /* a button is packed in */
  GtkVBox main;
  
  /* the button */
  GtkWidget *button;
  
  /* the content of the button (icon or the label "no icon") */
  GtkWidget *button_content;  

  /* the icon dialog use when open */  
  GtkWidget *icon_dialog;

  /* the icon list when open */
  GtkWidget *icon_selection; 
  
  /* to know if the icon dialog is open now */
  gboolean is_dialog_open;
  
  /* name of the icon file. ex : /usr/share/pixmap/icon.xpm.
     if null then no icon are use */
  gchar   *icon_file;
  
  gchar   *icon_path;
};

struct _IconListClass
{
  GtkVBoxClass parent_class;

  /* Add here all the signal we want */
  /* called when the icon was changed */
  void (* icon_change) (IconList *pIconList,gchar *icon_file);  
};

guint icon_list_get_type ();

/* Create a new icon list widget, icon_file is the icon file name of */
/* the init icon. If icon_file is NULL, no icon are taken by default */
/* Return : the widget   	                                     */
GtkWidget *icon_list_new(gchar *icon_file, gchar *icon_path);

#endif /* __ICON_LIST_H__ */
