/****************************************/
/*  MoveDialog.c headers         	*/
/*					*/
/*  Description : Manage Move (mv of    */
/*                files) widget		*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __MOVE_DIALOG_H__
#define __MOVE_DIALOG_H__

/* to define a new widget */
#define MOVE_DIALOG(obj)          GTK_CHECK_CAST (obj, move_dialog_get_type(),MoveDialog)
#define MOVE_DIALOG_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, move_dialog_get_type(), MoveDialogClass)
#define IS_MOVE_DIALOG(obj)       GTK_CHECK_TYPE (obj, move_dialog_get_type ())

typedef struct _MoveDialog      MoveDialog;
typedef struct _MoveDialogClass MoveDialogClass;

/* the structure of a MoveDialog */
struct _MoveDialog
{
  GnomeDialog	Main;
  /* list of all file to Move */
  FileDataList  *MoveList;
  
  /* Destination path */
  gchar         *DestPath;
  
  GtkWidget     *move_of;
  GtkWidget     *move_to;  
  GtkWidget     *total_file;
  GtkWidget     *all_file_progress_bar;

  /* nb of file we have moved */
  guint64       current_all_file_nb_cpt;
  /* nb of file to move */
  guint64       current_all_file_total_nb_cpt;
  
  gint          exit_timer; 
  
  void (* file_move_func) (gchar *LastFile, gchar *NewFile);
};

struct _MoveDialogClass
{
   GnomeDialogClass parent_class;

   /* Add here all the signal we want */
};

guint move_dialog_get_type ();
/* Create a new MoveDialog widget      */
/* MoveDialog keep a copy of MoveList. */
void move_dialog_new (FileDataList *MoveList,gchar *DestPath,
  void (* file_move_func) (gchar *LastFile, gchar *NewFile));

#endif /* __MOVE_DIALOG_H__ */
