/****************************************/
/*  PreferenceDialog.c headers          */
/*					*/
/*  Description : Manage the Preference */
/*		  dialog		*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __PREFERENCE_DIALOG_H__
#define __PREFERENCE_DIALOG_H__

/* to define a new widget */
#define PREFERENCE_DIALOG(obj)          GTK_CHECK_CAST (obj, preference_dialog_get_type(),PreferenceDialog)
#define PREFERENCE_DIALOG_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, preference_dialog_get_type(), PreferenceDialogClass)
#define IS_PREFERENCE_DIALOG(obj)       GTK_CHECK_TYPE (obj, preference_dialog_get_type ())

typedef struct _PreferenceDialogPref   PreferenceDialogPref;
typedef struct _PreferenceDialog       PreferenceDialog;
typedef struct _PreferenceDialogClass  PreferenceDialogClass;

struct _PreferenceDialogPref
{
  guint8   general_mode;
  guint8   left_list_sort_mode;
  guint8   right_list_sort_mode;
  struct _Owner    *owner_list;
  struct _Group    *group_list;
  FileType *file_type_list;
  /*directory where we can found all the icons (must be end by a '/')*/
  gchar   *icon_path;
  /* file where the file type list is saved */
  gchar   *file_type_save_file;
};

struct _PreferenceDialog
{
  GnomeDialog main;

  GtkWidget *notebook;
  GtkWidget *general_content;
  GtkWidget *tree_content;
  GtkWidget *left_list_content;
  GtkWidget *right_list_content;
  GtkWidget *file_type_content;
  
  PreferenceDialogPref Preference;
};

struct _PreferenceDialogClass
{
  GnomeDialogClass parent_class;

  /* Add here all the signal we want */
  
  /* signal called when change must be take in account */
  void (* apply) (PreferenceDialog *pPreferenceDialog,PreferenceDialogPref
    *pPreferenceDialogPref);
};

guint preference_general_get_type ();

/* Create a new preference dialog widget */
/* Return : the widget		         */
GtkWidget *preference_dialog_new(PreferenceDialogPref pPreferenceDialogPref);

#endif /* __PREFERENCE_DIALOG_H__ */
