/****************************************/
/*  PreferenceFileTypeAddEdit.c headers */
/*					*/
/*  Description : Bouton Add and Edit of*/
/*	          the file type part of */
/*		  the preference dialog	*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __PREFERENCE_FILE_TYPE_ADDEDIT_H__
#define __PREFERENCE_FILE_TYPE_ADDEDIT_H__

/* to define a new widget */
#define PREFERENCE_FILE_TYPE_ADDEDIT(obj)          GTK_CHECK_CAST (obj, preference_file_type_addedit_get_type(),PreferenceFileTypeAddedit)
#define PREFERENCE_FILE_TYPE_ADDEDIT_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, preference_file_type_addedit_get_type(), PreferenceFileTypeAddeditClass)
#define IS_PREFERENCE_FILE_TYPE_ADDEDIT(obj)       GTK_CHECK_TYPE (obj, preference_file_type_addedit_get_type ())

typedef struct _PreferenceFileTypeAddedit       PreferenceFileTypeAddedit;
typedef struct _PreferenceFileTypeAddeditClass  PreferenceFileTypeAddeditClass;

struct _PreferenceFileTypeAddedit
{
  GnomeDialog main;
 
  GtkWidget *string;         /* the identification string */
  GtkWidget *check_button_1; /* start   */
  GtkWidget *check_button_2; /* end     */
  GtkWidget *check_button_3; /* exactly */
  GtkWidget *check_button_4; /* is_link */
  GtkWidget *program;        /* the program to launch */
  GtkWidget *icon;           /* the icon name */

  file_type *lasttype;         /* type to init with. NULL = add mode.*/
  file_type *beforetype;       /* type we want to insert after. */
  			       /* NULL = at the end.            */
  FileType  *to_use_file_type; /* the FileType we are working on */
  gchar     *icon_path;        /* The base directory for searching icons.*/
  			       /* If null, icons are given by full path. */
			       /* path MUST be end by a '/'              */
};

struct _PreferenceFileTypeAddeditClass
{
  GnomeDialogClass parent_class;

  /* Add here all the signal we want */
   void (* add_type) (PreferenceFileTypeAddedit *pPreferenceFileTypeAddedit,
     file_type *beforetype, file_type *newtype);
   void (* remove_type) (PreferenceFileTypeAddedit *pPreferenceFileTypeAddedit,
     file_type *removetype);
};

guint preference_file_type_addedit_get_type ();

/* Create a dialog for add or edit. If lasttype = NULL then it */
/* is in add mode else, in edit mode.                          */
/* If icon_path = NULL then icons are given by full path else  */
/* they are given using "icon_path" path. icon_path must be end*/
/* by a /. If beforetype = NULL, insert at the end.            */
GtkWidget *preference_file_type_addedit_new(FileType *pFileType,
  file_type *beforetype, file_type *lasttype, gchar *icon_path);

#endif /* __PREFERENCE_FILE_TYPE_ADDEDIT_H__ */
