/****************************************/
/*  PreferenceGeneral.c headers         */
/*					*/
/*  Description : The General part of   */
/*		  the preference dialog	*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __PREFERENCE_GENERAL_H__
#define __PREFERENCE_GENERAL_H__

/* to define a new widget */
#define PREFERENCE_GENERAL(obj)          GTK_CHECK_CAST (obj, preference_general_get_type(),PreferenceGeneral)
#define PREFERENCE_GENERAL_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, preference_general_get_type(), PreferenceGeneralClass)
#define IS_PREFERENCE_GENERAL(obj)       GTK_CHECK_TYPE (obj, preference_general_get_type ())

typedef struct _PreferenceGeneral       PreferenceGeneral;
typedef struct _PreferenceGeneralClass  PreferenceGeneralClass;

#define MODE_TREE_LIST 1
#define MODE_LIST_LIST 2
#define MODE_LIST      3
struct _PreferenceGeneral
{
  GtkVBox main;
  
  GtkWidget *button_tree_list;
  GtkWidget *button_list_list;
  GtkWidget *button_list;  

  guint8 mode;

  /* in_use_owner is not a copy of the given parameter when using 
     preference_general_new so if you modify what you have given,
     it may created some PROBLEMS. */  		       
  struct _own *in_use_owner;
};

struct _PreferenceGeneralClass
{
  GtkVBoxClass parent_class;

  /* Add here all the signal we want */
  
  /* signal called when the general mode as been changed */
  void (* mode_changed) (PreferenceGeneral *pPreferenceGeneral,guint8 new_mode);
};

guint preference_general_get_type ();

/* Create a new preference general widget */
/* Return : the widget			  */
GtkWidget *preference_general_new(GtkWidget *parent_window,
  struct _own *in_use_owner,guint8 mode);

/* Return the general mode choosen */
guint8 preference_general_mode(PreferenceGeneral *pPreferenceGeneral);

#endif /* __PREFERENCE_GENERAL_H__ */
