/****************************************/
/*  PreferenceList.c headers            */
/*					*/
/*  Description : The List part of      */
/*		  the preference dialog	*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __PREFERENCE_LIST_H__
#define __PREFERENCE_LIST_H__

/* to define a new widget */
#define PREFERENCE_LIST(obj)          GTK_CHECK_CAST (obj, preference_list_get_type(),PreferenceList)
#define PREFERENCE_LIST_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, preference_list_get_type(), PreferenceListClass)
#define IS_PREFERENCE_LIST(obj)       GTK_CHECK_TYPE (obj, preference_list_get_type ())

typedef struct _PreferenceList       PreferenceList;
typedef struct _PreferenceListClass  PreferenceListClass;

struct _PreferenceList
{
  GtkVBox main;
  
  GtkWidget *dir_prior;
  GtkWidget *invert;
  GtkWidget *mode_list;
  
  GtkWidget *sort_none;
  GtkWidget *sort_by_name;
  GtkWidget *sort_by_owner;
  GtkWidget *sort_by_group;
  GtkWidget *sort_by_rights;
  GtkWidget *sort_by_size;
  GtkWidget *sort_by_access_date;
  GtkWidget *sort_by_modif_date;
  GtkWidget *sort_by_change_date;
  GtkWidget *sort_invert_order;
  GtkWidget *sort_dir_first;
  
  guint8 sort_mode;
};

struct _PreferenceListClass
{
  GtkVBoxClass parent_class;

  /* Add here all the signal we want */
};

guint preference_list_get_type ();

/* Create a new preference list widget */
/* Return : the widget                 */
GtkWidget *preference_list_new(guint8 sort_mode);

/* Return the current choosen sort mode */
guint8 preference_list_sort_mode(PreferenceList *pPreferenceList);
  
#endif /* __PREFERENCE_LIST_H__ */
