/****************************************/
/* TestCopyDialog.c body                */
/*					*/
/*  Description : Test the Copy         */
/*                dialog                */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void button_cb(GtkWidget *Widget, gpointer data)
{ GtkWidget    *vCopyDialog;
  FileDataList *vCopyList;
  FileData     *vDestDir; 
  FileData     *tmpFileData;
  FileType     *vFileType;
  file_type    *one_type;
  
  vFileType  = file_type_new();
  file_type_load_from_file(vFileType,NULL);
  file_type_init(vFileType);
  one_type = file_type_current(vFileType);
  
  vDestDir  =  file_data_new("/root/","document",0,0,0,0,0,0,0,0,one_type,NULL);

  vCopyList = file_data_list_new();
  tmpFileData = file_data_new("/root/",".xinitrc",0,0,0,0,0,0,0,0,one_type,NULL);
  file_data_list_append(vCopyList, tmpFileData);
  file_data_free(tmpFileData);
  tmpFileData = file_data_new("/root/","debug",0,0,0,0,0,0,0,0,one_type,NULL);
  file_data_list_append(vCopyList, tmpFileData);
  file_data_free(tmpFileData);

  vCopyDialog = copy_dialog_new(vCopyList,"/home/");

/*  gtk_signal_connect (GTK_OBJECT(vCopyDialog), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);
*/  
  gtk_widget_show(vCopyDialog);

  file_data_free(vDestDir);
  file_data_list_free(vCopyList);
  file_type_free(vFileType);  
}

int main(int argc, char **argv)
{ 
  GtkWidget *TestMain; 
  GtkWidget *button;

  gnome_init("TestCopyDialog", VERSION, argc,argv);

  TestMain = gnome_app_new ("TestCopyDialog", "TestCopyDialog");
  gtk_widget_realize (TestMain);
  gtk_signal_connect (GTK_OBJECT (TestMain), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);

  button = gtk_button_new_with_label("Copy");
  gtk_widget_show(button);  

  gtk_signal_connect (GTK_OBJECT (button), "pressed",
                      GTK_SIGNAL_FUNC (button_cb),
                      NULL);

  gnome_app_set_contents(GNOME_APP(TestMain), button);
		      
  gtk_widget_show(TestMain);

  gtk_main();

}
