/****************************************/
/* TestFileProperties.c body            */
/*					*/
/*  Description : Test the file         */
/*                properties dialog     */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void file_mode_changed_cb(FileProperties *pFileProperties,FileData *SrcFile,
    FileData *DstFile, gpointer data)
{
  g_print("Properties changed.\n");
  g_print("Last file. Name : %s%s.\n",SrcFile->path,SrcFile->name);
  g_print("New  file. Name : %s%s.\n",DstFile->path,DstFile->name);
}   

int main(int argc, char **argv)
{ GtkWidget *vFileProperties;
  FileDataList *vFileDataList;
  FileData *vFileData;

  gnome_init("TestFileProperties", VERSION, argc,argv);
  
  vFileDataList = file_data_list_new();
  vFileData = file_data_new_from_file("/","all_new_symb_link",NULL,NULL);
  g_print("FileData, path : %s, name : %s.\n",vFileData->path,vFileData->name);
  file_data_list_append(vFileDataList, vFileData);
  
  vFileProperties = file_properties_new(vFileDataList,NULL,NULL);
  gtk_widget_show(vFileProperties);
  
  gtk_signal_connect (GTK_OBJECT(vFileProperties), "destroy",
    GTK_SIGNAL_FUNC (gtk_main_quit), NULL);

  gtk_signal_connect (GTK_OBJECT(vFileProperties), "file_mode_changed",
    GTK_SIGNAL_FUNC (file_mode_changed_cb), NULL);
    
  gtk_main();

  file_data_list_free(vFileDataList);  
}
