/****************************************/
/*  FileType.c body                     */
/*					*/
/*  Description : TestFileType is a     */
/*                program to test the   */
/*                  file type system    */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

int main(int argc, char **argv)
{
  FileType *FileType1;
  FileType *FileType2;
  file_type *tmp_file_type;

  gnome_init("TestFileType", VERSION, argc,argv);

  g_print("Create FileType1\n");
  FileType1 = file_type_new();

  g_print("Test if FileType1 is empty\n");
  file_type_init(FileType1);
  if(file_type_is_end(FileType1)) 
    g_print("> FileType1 is empty\n");
  else
    g_print("> FileType1 is NOT empty = BUG\n");  

  g_print("Add two type to FileType1\n");
  file_type_append_type(FileType1,"STRING1",0,FALSE,"NONE",
                  "/root/programmation/GFile/icons/unknow.xpm");
  file_type_append_type(FileType1,"STRING2",0,FALSE,"NONE",
                  "/root/programmation/GFile/icons/exclam.xpm");
  file_type_init(FileType1);
  while(file_type_is_end(FileType1) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType1)->string);    
    file_type_next(FileType1);
  }		  

  g_print("Insert one type after the first of FileType1\n");
  file_type_init(FileType1);
  file_type_insert_type(FileType1,file_type_current(FileType1),"STRING1.5",
    0,FALSE,"NONE","/root/programmation/GFile/icons/unknow.xpm");
  file_type_init(FileType1);
  while(file_type_is_end(FileType1) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType1)->string);    
    file_type_next(FileType1);
  }		  

  g_print("Swap item 1 and item 3 in FileType1\n");
  file_type_init(FileType1);  
  tmp_file_type = file_type_current(FileType1);
  file_type_next(FileType1); file_type_next(FileType1);
  file_type_swap_type(FileType1,file_type_current(FileType1),tmp_file_type);
  file_type_init(FileType1);
  while(file_type_is_end(FileType1) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType1)->string);    
    file_type_next(FileType1);
  }		  

  g_print("Create FileType2\n");
  FileType2 = file_type_new();

  g_print("Add two type to FileType2\n");
  file_type_append_type(FileType2,"STRING3",0,FALSE,"NONE",
                  "/root/programmation/GFile/icons/unknow.xpm");
  file_type_append_type(FileType2,"STRING4",0,FALSE,"NONE",
                  "/root/programmation/GFile/icons/exclam.xpm");
  file_type_init(FileType2);
  while(file_type_is_end(FileType2) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType2)->string);    
    file_type_next(FileType2);
  }		  

  g_print("Swap FileType1 & FileType2\n");
  file_type_swap_file_type(FileType1,FileType2);
  
  g_print("New content of FileType1\n");
  file_type_init(FileType1);
  while(file_type_is_end(FileType1) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType1)->string);    
    file_type_next(FileType1);
  }		  
  
  g_print("New content of FileType2\n");
  file_type_init(FileType2);
  while(file_type_is_end(FileType2) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType2)->string);    
    file_type_next(FileType2);
  }		  

  g_print("Free first type of FileType1\n");
  file_type_init(FileType1);
  file_type_remove_type(FileType1, file_type_current(FileType1) );
  file_type_init(FileType1);
  while(file_type_is_end(FileType1) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType1)->string);    
    file_type_next(FileType1);
  }		  
  g_print("Free first type of FileType1\n");
  file_type_init(FileType1);
  file_type_remove_type(FileType1, file_type_current(FileType1) );
  file_type_init(FileType1);
  if(file_type_is_end(FileType1)) 
    g_print("> FileType1 is empty\n");
  else
    g_print("> FileType1 is NOT empty = BUG\n");  

  g_print("Free FileType1\n");
  file_type_free(FileType1);  

  g_print("Content of FileType2\n");
  file_type_init(FileType2);
  while(file_type_is_end(FileType2) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType2)->string);    
    file_type_next(FileType2);
  }	
  
  g_print("Create a copy of FileType2 in FileType1\n");
  FileType1 = file_type_new();
  file_type_append_file_type(FileType1,FileType2);
  file_type_init(FileType1);
  while(file_type_is_end(FileType1) == FALSE)
  {
    g_print("> %s\n",file_type_current(FileType1)->string);    
    file_type_next(FileType1);
  }		  
  g_print("Free FileType1\n");
  file_type_free(FileType1);  
  
  g_print("Free FileType2\n");
  file_type_free(FileType2);  

  g_print("Create an empty FileType2\n");  
  FileType2 = file_type_new();
  file_type_init(FileType2);
  if(file_type_is_end(FileType2)) 
    g_print("> FileType2 is empty\n");
  else
    g_print("> FileType2 is NOT empty = BUG\n");  
  g_print("Free FileType2\n");
  file_type_free(FileType2);      
}

