/****************************************/
/* TestGFileList.c body                 */
/*					*/
/*  Description :Test the GFileList     */
/*               widget                 */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void file_mode_changed_cb (GtkWidget *Widget,FileData *SrcFile,
  FileData *DstFile, GFileList *pGFileList)
{
  g_print("<>Last : %s%s.\n",SrcFile->path,SrcFile->name);
  g_print("<>New  : %s%s.\n",DstFile->path,DstFile->name);  

/*  gfilelist_remove_file_with_check(pGFileList,SrcFile);
  gfilelist_add_file_with_check(pGFileList,DstFile);*/
  gfilelist_modify_file(pGFileList,SrcFile,DstFile);  
}    
    
int main(int argc, char **argv)
{ GtkWidget *vGFileList;
  GtkWidget *TestMain;
  Group *testGroup;
  Owner *testOwner;
  FileType *testFileType;

  gnome_init("TestGFileList", VERSION, argc,argv);
/*  gnome_init("TestGFileList", NULL, argc,argv, 0, NULL);*/


  testGroup = group_load();
  testOwner = owner_load(testGroup);  
  testFileType = file_type_new(); 
  /* we will have base internal type */
  if(file_type_load_from_file(testFileType,NULL) == FALSE) 
  {g_print("Error loading internal types.\n"); exit(1);}
  file_type_init(testFileType);
  while(file_type_is_end(testFileType) == FALSE)
  {
    g_print("internal type : %s\n",file_type_current(testFileType)->string);
    file_type_next(testFileType);
  }

  TestMain = gnome_app_new ("TestGFileList", "TestGFileList");
  gtk_widget_realize (TestMain);
  gtk_signal_connect (GTK_OBJECT (TestMain), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);

  DefaultGFileListPref.owner_list = testOwner;
  DefaultGFileListPref.group_list = testGroup;
  DefaultGFileListPref.file_type_list = testFileType;

  g_print("Create the new GFileList\n");  
  vGFileList = gfilelist_new(DefaultGFileListPref);
  g_print("New GFileList created\n");    

  gtk_signal_connect (GTK_OBJECT (vGFileList), "file_mode_changed",
                      GTK_SIGNAL_FUNC (file_mode_changed_cb),
                      vGFileList);
  
  gtk_widget_show(vGFileList);

  gnome_app_set_contents( GNOME_APP(TestMain), vGFileList);
		      
  gtk_widget_show(TestMain);
  
  g_print("Load the root content\n");  
  gfilelist_open_dir(GFILELIST(vGFileList),"/root");
  g_print("Root content loaded\n");  

  /* test add_file_by_full_name */
  system("touch /root/GFile.bidon");  
  gfilelist_add_file_by_full_name(GFILELIST(vGFileList),"/root/GFile.bidon");
  
  gtk_main();  

  system("rm /root/GFile.bidon");
  
  file_type_free(testFileType);
  owner_free(testOwner);
  group_free(testGroup);  
}
