/****************************************/
/* TestGFileTree.c body                 */
/*					*/
/*  Description :Test the GFileTree     */
/*               widget                 */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

int main(int argc, char **argv)
{ GtkWidget *vGFileTree;
  GtkWidget *TestMain;
  FileType *testFileType;

  gnome_init("TestGFileTree", VERSION, argc,argv);
/*  gnome_init("TestGFileTree", NULL, argc,argv, 0, NULL);*/


  testFileType = file_type_new(); 
  /* we will have base internal type */
  if(file_type_load_from_file(testFileType,NULL) == FALSE) 
  {g_print("Error loading internal types.\n"); exit(1);}
  file_type_init(testFileType);
  while(file_type_is_end(testFileType) == FALSE)
  {
    g_print("internal type : %s\n",file_type_current(testFileType)->string);
    file_type_next(testFileType);
  }

  TestMain = gnome_app_new ("TestGFileTree", "TestGFileTree");
  gtk_widget_realize (TestMain);
  gtk_signal_connect (GTK_OBJECT (TestMain), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);

  DefaultGFileTreePref.file_type_list = testFileType;

  g_print("Create the new GFileTree\n");  
  vGFileTree = gfiletree_new(DefaultGFileTreePref);
  g_print("New GFileTree created\n");    
  
  gtk_widget_show(vGFileTree);

  gnome_app_set_contents( GNOME_APP(TestMain), vGFileTree);
		      
  gtk_widget_show(TestMain);
    
  gtk_main();  
  
  file_type_free(testFileType);
}
