/****************************************/
/* TestIconList.c body                  */
/*					*/
/*  Description :Test the icon list     */
/*               widget                 */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void icon_change_cb(IconList *pIconList, gchar *icon_file, gpointer data)
{
  if(icon_file != NULL)
    g_print("new icon is : %s\n",icon_file);
  else
    g_print("no icon selected\n");    
}

int main(int argc, char **argv)
{ GtkWidget *vIconList;
  GtkWidget *TestMain;

  gnome_init("TestIconList", VERSION, argc,argv);
/*  gnome_init("TestIconList", NULL, argc,argv, 0, NULL);*/

  TestMain = gnome_app_new ("TestIconList", "TestIconList");
  gtk_widget_realize (TestMain);
  gtk_signal_connect (GTK_OBJECT (TestMain), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);

  vIconList = icon_list_new("/root/programmation/GFile/icons/c_dir.xpm",
    "/root/programmation/GFile/icons/");

  gtk_signal_connect (GTK_OBJECT (vIconList), "icon_change",
                      GTK_SIGNAL_FUNC (icon_change_cb),
                      NULL);

  gtk_widget_show(vIconList);

  gnome_app_set_contents( GNOME_APP(TestMain), vIconList);
		      
  gtk_widget_show(TestMain);

  gtk_main();  
}
