/*********************************************/
/*  TestOwnerGroup.c body                    */
/*					     */
/*  Description : Test the OwnerGroup part   */
/*					     */
/*  Written by : Daniel Lacroix	             */
/*  GFile is under the GPL2 licence          */
/*********************************************/

#include "GFile.h"

int main(int argc, char **argv)
{
  Group *testGroup;
  Owner *testOwner;

  gnome_init("TestOwnerGroup", VERSION, argc,argv);

  g_print("Load testGroup\n");
  testGroup = group_load();
  group_init(testGroup);
  while(group_is_end(testGroup) == FALSE)
  {
    g_print("> name : %10s, nb : %d\n",group_current(testGroup)->name,
      group_current(testGroup)->nb);
    group_next(testGroup);
  }

  g_print("Load testOwner\n");
  testOwner = owner_load(testGroup);
  owner_init(testOwner);
  while(owner_is_end(testOwner) == FALSE)
  {
    g_print("> name : %10s, nb : %4d, groupe : %s\n",owner_current(testOwner)->name,
      owner_current(testOwner)->nb,owner_current(testOwner)->grp->name);
    owner_next(testOwner);
  }

  g_print("Your are the user : %s, UID : %d, group : %s\n",
    owner_current_user(testOwner)->name,owner_current_user(testOwner)->nb,
    owner_current_user(testOwner)->grp->name);

  g_print("Free testOwner\n");
  owner_free(testOwner);

  g_print("Free testGroup\n");
  group_free(testGroup);
}
