/****************************************/
/* TestPreferenceDialog.c body          */
/*					*/
/*  Description : Test the Preference   */
/*                dialog                */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

PreferenceDialogPref vPreferenceDialogPref = {MODE_TREE_LIST,
  SORT_BY_NAME | SORT_DIR_FIRST, SORT_BY_SIZE, NULL, NULL, NULL, 
  "/root/programmation/GFile/icons/","/root/programmation/GFile/test_file_type"};

int main(int argc, char **argv)
{ GtkWidget *vPreferenceDialog;

  gnome_init("TestPreferenceDialog", VERSION, argc,argv);

  vPreferenceDialogPref.group_list = group_load();
  vPreferenceDialogPref.owner_list = owner_load(vPreferenceDialogPref.group_list);
  /* start with an empty file type list */
  vPreferenceDialogPref.file_type_list = file_type_new();

  vPreferenceDialog = preference_dialog_new(vPreferenceDialogPref);

  gtk_signal_connect (GTK_OBJECT(vPreferenceDialog), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);
  
  gtk_widget_show(vPreferenceDialog);
  
  gtk_main();
  
  file_type_free(vPreferenceDialogPref.file_type_list);
  owner_free(vPreferenceDialogPref.owner_list);
  group_free(vPreferenceDialogPref.group_list);
}
