/****************************************/
/* TestPreferenceFileTypeAddEdit.c body */
/*					*/
/*  Description : Test the Addedit      */
/*                dialog                */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void add_type_cb(PreferenceFileTypeAddedit *pPreferenceFileTypeAddedit,
  file_type *beforetype, file_type *newtype)
{
  g_print("A new type to add : %s\n",newtype->string);
}

void remove_type_cb(PreferenceFileTypeAddedit *pPreferenceFileTypeAddedit,
  file_type *removetype)
{
  g_print("A type to remove : %s\n",removetype->string);
}

int main(int argc, char **argv)
{ GtkWidget *vPreferenceFileTypeAddedit;
  FileType  *vFileType;

  gnome_init("TestPreferenceFileTypeAddEdit", VERSION, argc,argv);

  g_print("Create vFileType\n");
  vFileType = file_type_new();
  g_print("Add two type to vFileType (STRING1 & STRING2)\n");
  file_type_append_type(vFileType,"STRING1",0,FALSE,"NONE",
                  "/root/programmation/GFile/icons/unknow.xpm");
  file_type_append_type(vFileType,"STRING2",0,FALSE,"NONE",
                  "/root/programmation/GFile/icons/exclam.xpm");
  file_type_init(vFileType);
  while(file_type_is_end(vFileType) == FALSE)
  {
    g_print("> %s\n",file_type_current(vFileType)->string);    
    file_type_next(vFileType);
  }  

  g_print("Addedit dialog in add mode after STRING1\n");
  file_type_init(vFileType);  
  vPreferenceFileTypeAddedit = preference_file_type_addedit_new(vFileType,
    file_type_current(vFileType), NULL, "/root/programmation/GFile/icons/");

  gtk_signal_connect (GTK_OBJECT(vPreferenceFileTypeAddedit), "add_type",
                      GTK_SIGNAL_FUNC (add_type_cb),
                      NULL);  

  gtk_signal_connect (GTK_OBJECT(vPreferenceFileTypeAddedit), "remove_type",
                      GTK_SIGNAL_FUNC (remove_type_cb),
                      NULL);  

  gtk_signal_connect (GTK_OBJECT(vPreferenceFileTypeAddedit), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);
  
  gtk_widget_show(vPreferenceFileTypeAddedit);
  
  gtk_main();
  
  file_type_init(vFileType);
  while(file_type_is_end(vFileType) == FALSE)
  {
    g_print("> %s\n",file_type_current(vFileType)->string);    
    file_type_next(vFileType);
  }    
}
