/****************************************/
/* TestPreferenceGeneral.c body         */
/*					*/
/*  Description :Test the Pref general  */
/*               widget                 */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void mode_changed_cb(PreferenceGeneral *pPreferenceGeneral,guint8 new_mode)
{
  switch(new_mode)
  {
    case MODE_TREE_LIST : 
      g_print("mode has changed, new is TREE LIST\n");
      break;
    case MODE_LIST_LIST : 
      g_print("mode has changed, new is LIST LIST\n");
      break;
    case MODE_LIST : 
      g_print("mode has changed, new is LIST\n");
      break;
  }
}

int main(int argc, char **argv)
{ GtkWidget *vPreferenceGeneral;
  GtkWidget *TestMain;
  Group *testGroup;
  Owner *testOwner;

  gnome_init("TestPreferenceGeneral", VERSION, argc,argv);
/*  gnome_init("TestPreferenceGeneral", NULL, argc,argv, 0, NULL);*/


  testGroup = group_load();
  testOwner = owner_load(testGroup);  

  TestMain = gnome_app_new ("TestPreferenceGeneral", "TestPreferenceGeneral");
  gtk_widget_realize (TestMain);
  gtk_signal_connect (GTK_OBJECT (TestMain), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);

  vPreferenceGeneral = preference_general_new(GTK_WIDGET(TestMain),
    owner_current_user(testOwner),MODE_TREE_LIST);

  gtk_signal_connect(GTK_OBJECT(vPreferenceGeneral),"mode_changed",
    GTK_SIGNAL_FUNC(mode_changed_cb),NULL);
  
  gtk_widget_show(vPreferenceGeneral);

  gnome_app_set_contents( GNOME_APP(TestMain), vPreferenceGeneral);
		      
  gtk_widget_show(TestMain);

  gtk_main();  
  
  owner_free(testOwner);
  group_free(testGroup);  
}
